Page Stats
Returns engagement statistics for a single Link-in-Bio page, including total page views and total link clicks.
GET
/v1/bio/pages/{page_id}/stats analytics:read Parameters
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page_id | string | Yes | The unique identifier of the page. |
Request examples
curl https://xqr.co/api/v1/bio/pages/bio_abc123/stats \ -H "Authorization: Bearer YOUR_API_KEY"const pageId = "bio_abc123";
const res = await fetch( `https://xqr.co/api/v1/bio/pages/${pageId}/stats`, { headers: { Authorization: "Bearer YOUR_API_KEY", }, });
const { data, meta } = await res.json();import httpx
page_id = "bio_abc123"
res = httpx.get( f"https://xqr.co/api/v1/bio/pages/{page_id}/stats", headers={"Authorization": "Bearer YOUR_API_KEY"},)
stats = res.json()["data"]Response
200 OK
{ "data": { "page_id": "bio_abc123", "view_count": 1247, "click_count": 892 }, "meta": { "request_id": "req_k1l2m3", "rate_limit": { "remaining": 92, "reset_at": "2026-03-21T13:01:00Z" } }}Was this page helpful?
Thanks for your feedback!